
# apps

tower.pro applications library

### environment variables

```sh

export TOWER_JWT_PUBLIC_KEY='public.pem'
export TOWER_JWT_PRIVATE_KEY='private.pem'

export TOWER_APP_ID=''
export TOWER_APP_SECRET=''

export TOWER_RPC_ENDPOINT_PORT=4888
export TOWER_HTTP_ENDPOINT_PORT=4880

```

### generating authentication keys

```sh
openssl genrsa -out private.pem 2048
openssl rsa -in private.pem -outform PEM -pubout -out public.pem
```
